Public Class frmAddition

  Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
    If IsNumeric(txtFirstNum.Text) And IsNumeric(txtSecondNum.Text) Then
      txtSum.Text = CStr(CDbl(txtFirstNum.Text) + CDbl(txtSecondNum.Text))
    ElseIf Not IsNumeric(txtFirstNum.Text) Then
      If Not IsNumeric(txtSecondNum.Text) Then
        MessageBox.Show("Each text box is empty or has an improper entry.")
      Else
        MessageBox.Show("The first text box is empty or has an improper entry.")
      End If
    Else
      MessageBox.Show("The second text box is empty or has an improper entry.")
    End If
  End Sub

End Class
